Product Catalog Home Listings
Updated: Mar 19, 2025
Copy for LLM
Reading
Endpoint that return the home listings that were added to the catalog
Example
GET /v25.0/{product-catalog-id}/home_listings HTTP/1.1
Host: graph.facebook.com
Try it in Graph API Explorer
If you want to learn how to use the Graph API, read our Using Graph API guide
Parameters
| Parameter | Description |
|---|---|
bulk_paginationboolean |
Used for iterating over the edge in large chunks
|
filterA JSON-encoded rule |
JSON-encoded WCA rule expression representing the filter to be applied for the edge
|
Fields
Reading from this edge will return a JSON formatted result:
{
"data": [],
"paging": {},
"summary": {}
}
data
A list of HomeListing nodes.
paging
For more details about pagination, see the Graph API guide.
summary
Aggregated information about the edge, such as counts. Specify the fields to fetch in the summary param (like summary=total_count).
| Field | Description |
|---|---|
total_countunsigned int32 |
Total number of home listings returned by the query
|
Error Codes
| Error Code | Description |
|---|---|
100 | Invalid parameter |
Creating
/{product_catalog_id}/home_listings
You can make a POST request to home_listings edge from the following paths:
When posting to this edge, a HomeListing will be created.
Parameters
| Parameter | Description |
|---|---|
addressObject |
The address of the home listing
required city stringrequired country stringrequired latitude floatrequired longitude floatrequired neighborhoods list<string>postal_code stringregion stringrequired street_address stringrequired Show child parameters |
availabilitystring |
The availability of the home listing
required |
currencyISO 4217 Currency Code |
Currency for the listing
required |
descriptionstring |
Description of the home listing
|
home_listing_idstring |
ID of the home listing
required |
imageslist<Object> |
Links to home listing images. Please note that carousel format utilizes a square 1:1 aspect ratio images (recommended size - 600x600px) while single hotel ad uses 1.91:1 aspect ratio image(recommended size - 1200x630px). Please provide at least one image.
required image_url URLrequired tags list<string>Show child parameters |
listing_typestring |
Listing type of the property
|
namestring |
Name of the home listing
required |
num_bathsfloat |
Number of baths for the home listing
|
num_bedsfloat |
Number of beds for the home listing
|
num_unitsfloat |
Number of units for the home listing
|
pricefloat |
The price for this home listing
required |
property_typestring |
Property type of the home listing
|
urlURL |
Link to the external site where you can view the listing
required |
year_builtint64 |
Year built
required |
Return Type
This endpoint supports read-after-write and will read the node represented by id in the return type.
Struct {
id: numeric string,
}
Error Codes
| Error Code | Description |
|---|---|
10800 | Duplicate retailer_id when attempting to create a store collection |
100 | Invalid parameter |
Updating
You can't perform this operation on this endpoint.
Deleting
You can't perform this operation on this endpoint.